View Issue Details

IDProjectCategoryView StatusLast Update
0020694mantisbtcustomizationpublic2016-06-12 00:42
ReporterquayzarAssigned Todregad 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version1.3.0-rc.1 
Target Version1.3.0-rc.2Fixed in Version1.3.0-rc.2 
Summary0020694: Add configuration for auto-generated www link target
Description

Currently, $g_html_make_links is a boolean variable, used to control whether Mantis automatically generates links from www URLs.

I propose changing this variable from boolean to numeric and defining a constant to represent each of the three possible states:

OFF: Does not generate a link. This is equivalent to setting $g_html_make_links as it stands now to OFF.

LINK_SAME_WINDOW: Generates a link that opens in the current window.

LINK_NEW_WINDOW: Generates a link that opens in a new window.

Note: I've already made these changes and created a pull request; I've created this issue for reference.

TagsNo tags attached.

Relationships

has duplicate 0020921 closeddregad Remove [^] "open in new window" suffix from autogenerated links 

Activities

Related Changesets

MantisBT: master aa91878c

2016-02-24 10:24:24

quayzar


Committer: dregad Details Diff
Add link target options to $g_html_make_links

- Replace "magic numbers" with constants defined in constants_inc.php
- Update manual and config_defaults_inc.php with revised constants

Fixes 0020694

Signed-off-by: Damien Regad <dregad@mantisbt.org>

Changes from original submission:
- commits squashed;
- reworded and reformatted the documentation for the new constants;
- referenced the equivalence between LINKS_SAME_WINDOW and ON;
- simplify the code in string_insert_hrefs().
mod - config_defaults_inc.php Diff File
mod - core/constant_inc.php Diff File
mod - core/string_api.php Diff File
mod - docbook/Admin_Guide/en-US/config/html.xml Diff File

Issue History

Date Modified Username Field Change
2016-03-15 11:26 quayzar New Issue
2016-03-15 11:43 atrol Note Added: 0052779
2016-03-17 05:58 atrol Assigned To => community
2016-03-17 05:58 atrol Status new => assigned
2016-05-14 13:29 dregad Changeset attached => MantisBT master aa91878c
2016-05-14 13:29 dregad Assigned To community => dregad
2016-05-14 13:29 dregad Status assigned => resolved
2016-05-14 13:29 dregad Resolution open => fixed
2016-05-14 13:29 dregad Fixed in Version => 1.3.0-rc.2
2016-05-14 13:29 dregad Target Version => 1.3.0-rc.2
2016-05-18 03:30 dregad Relationship added has duplicate 0020921
2016-06-12 00:42 vboctor Status resolved => closed